Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Class CreateDynamicMethod

- org.codehaus.groovy.grails.commons.metaclass.CreateDynamicMethod

- A dynamic static method that is a factory method for creating new instances. eg. Account.create()

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `METHOD_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CreateDynamicMethod ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractStaticMethodInvocation` | `getPattern, invoke, isMethodMatch, setPattern, setPattern, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String METHOD_NAME

  - ### Constructor Detail

    - #### public CreateDynamicMethod()

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)